[arch-commits] Commit in ne/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Jun 20 15:45:56 EDT 2009


    Date: Saturday, June 20, 2009 @ 15:45:56
  Author: eric
Revision: 43197

Merged revisions 43196 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/ne/trunk

........
  r43196 | eric | 2009-06-20 15:45:40 -0400 (Sat, 20 Jun 2009) | 2 lines
  
  upgpkg: ne 2.0.3-1
      Upstream update, added makedepends to create docs, disabled SMP build
........

Modified:
  ne/repos/extra-x86_64/	(properties)
  ne/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)


Property changes on: ne/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /ne/trunk:1-26530
   + /ne/trunk:1-43196

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-06-20 19:45:40 UTC (rev 43196)
+++ extra-x86_64/PKGBUILD	2009-06-20 19:45:56 UTC (rev 43197)
@@ -3,24 +3,21 @@
 # Contributor: Ben <ben at benmazer.net>
 
 pkgname=ne
-pkgver=1.43
+pkgver=2.0.3
 pkgrel=1
 pkgdesc="the nice editor"
 arch=('i686' 'x86_64')
 url="http://ne.dsi.unimi.it"
 license=('GPL')
 depends=('glibc' 'ncurses' 'texinfo')
+makedepends=('texlive-bin' 'texlive-core' 'ghostscript')
+options=('!makeflags')
 install=ne.install
 source=(http://ne.dsi.unimi.it/${pkgname}-${pkgver}.tar.gz)
-md5sums=('bbc65c4981b29a6f2cb0652aa3d5976a')
+md5sums=('16ed5c974adb8255a693f8a3b6e91071')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}/src
+  cd "${srcdir}/${pkgname}-${pkgver}"
   make || return 1
-  install -D -m755 ne ${pkgdir}/usr/bin/ne
-  install -D -m644 ../doc/ne.1 ${pkgdir}/usr/share/man/man1/ne.1
-  install -D -m644 ../doc/ne.info.gz ${pkgdir}/usr/share/info/ne.info.gz
-  install -D -m644 ../doc/default.keys ${pkgdir}/usr/share/doc/${pkgname}/default.keys
-  install -D -m644 ../doc/default.menus ${pkgdir}/usr/share/doc/${pkgname}/default.menus
+  make PREFIX="${pkgdir}/usr" install || return 1
 }
-



More information about the arch-commits mailing list